<?php

namespace App\Modules\HtlTypeCamp\Domain;

use App\Modules\Shared\Domain\Storage\Criteria\StorageCriteria;

interface HtlTypeCampRepository
{
    public function find(StorageCriteria $action): HtlTypeCamp | null;
    public function search(StorageCriteria $action): array;
    public function insert(HtlTypeCamp $model);
    public function update(HtlTypeCamp $model);
}
